%define name libnet
%define version 1.0.1b
%define release 3mdk

Summary: a C library for portable packet creation
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}.tar.bz2
Copyright: distributable
Group: System/Libraries
URL: http://www.packetfactory.net/libnet
BuildPreReq: libpcap
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Libnet is an API to help with the construction and handling of network
packets. It provides a portable framework for low-level network
packet writing and handling (use libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionalty. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n Libnet-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS"	./configure --prefix=%{_prefix} --with-pf_packet=yes

make
make test
rm -f doc/.#CHANGELOG.1.13
rm -rf doc/CVS doc/html/CVS example/CVS

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,lib,include}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
make install DESTDIR=$RPM_BUILD_ROOT
mv -f doc/libnet.3 $RPM_BUILD_ROOT/%{_mandir}/man3
rm -f $RPM_BUILD_ROOT/%{_libdir}/libpwrite
ln -s libnet.a $RPM_BUILD_ROOT/%{_libdir}/libpwrite.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* example
#%attr(755,root,root) 
%{_bindir}/*
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1b-3mdk
- add macros
- BM

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1b-2mdk
- v1.0.1b

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- v1.0.1

* Sat Nov 13 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- first SPEC file for Mandrake.
